package Go;

public class Move {
  public int x;
  public int y;
  public int color;

  public Move() {
  }

  public Move(int color) {
    this.color = color;
  }


  public Move(int X, int Y, int Color) {
    x = X;
    y = Y;
    color = Color;
  }

  public Move(GobanLocation location) {
    x = location.x;
    y  = location.y;
    color = location.state;
  }

  public boolean equals(Object anObject) {
    if (anObject instanceof Move)
      if ((((Move)anObject).x == this.x) &&
          (((Move)anObject).y == this.y) &&
          (((Move)anObject).color == this.color))
        return true;
    return false;
  }

  public boolean isPass() {
    return ((x == GoConstants.PASS) || (y == GoConstants.PASS));
  }
}