package Go.strategy;

public interface GameTreeInterface {
  public abstract TreeNodeInterface getRoot();
  public abstract TreeNodeInterface getNextSiblingOf(TreeNodeInterface node);
  public abstract TreeNodeInterface getFirstChildOf(TreeNodeInterface parentNode);
  public abstract TreeNodeInterface getParent(TreeNodeInterface node);
  public abstract boolean isLeaf(TreeNodeInterface node);
  public abstract void add_ChildTo(TreeNodeInterface child, TreeNodeInterface parent);
  public abstract void remove_ChildFrom(TreeNodeInterface child, TreeNodeInterface parent);
}
