package Go.strategy;

import java.util.Vector;

public interface TreeNodeInterface {
  public abstract Object getContent();
  public abstract void setContent(Object content);  
  public abstract TreeNodeInterface getParent();
  public abstract void setParent(TreeNodeInterface parent);
  //public abstract TreeNodeInterface getNextSibling();
  public abstract TreeNodeInterface getFirstChild();
  public abstract Vector getChildren();
  public abstract TreeNodeInterface getChildNextTo(TreeNodeInterface child);
  public abstract boolean isLeaf();
  public abstract void addChild(TreeNodeInterface child);
  public abstract void removeChild(TreeNodeInterface child);
}
