// this is a class for an AtariGo game (who captures the first stone wins)

package Go;

public class AtariGoGame extends GoGame {

  public AtariGoGame() {}

  public AtariGoGame(int boardSize,
                Player blackPlayer, Player whitePlayer) {
    super(boardSize, blackPlayer, whitePlayer);
  }

  // this is specific for AtariGo: when the first caption occurs the game is over
  public boolean gameOver() {
    if ((nrCapturedStones <= 0) && (consecutivePasses < 2))
      return false;
    else {
      if (consecutivePasses >= 2)
        gameResult = JIGO;
      else if (turn == WHITE)
        gameResult = BlackWIN;
      else
        gameResult = WhiteWIN;  
      return true;
    }

  }

  public static void main(String[] args) {
    AtariGoGame atariGoGame = new AtariGoGame();
    atariGoGame.invokedStandalone = true;
  }
  private boolean invokedStandalone = false;

  private boolean captionOccured = false;
}