package Go;

/*****************************************************************
*  GoGameListener is an interface for listeners to a game of Go  *
*  A listener is interested in:                                  *
*  - whether the game is over or not?                            *
*  - if the game is over, what is the result?                    *
******************************************************************/

public interface GoGameListener extends java.util.EventListener{
  public abstract void positionChanged(GoGameEvent goGameEvent);
  public abstract void gameOver(GoGameEvent goGameEvent);
}