package Go.strategy;

import Go.GoPosition;

public interface GoEstimatorInterface {
  // this returns an estimation of the position's value, from
  // the point of view of the "color" player
  public abstract float estimatePosition(GoPosition position, int color);

  // chacks the state of the game (in progress, who won if over...)
  public abstract int checkPositionState(GoPosition position);
} 
